/*
 *  conflict.h
 *
 *  Copyright (c) 2006-2019 Pacman Development Team <pacman-dev@archlinux.org>
 *  Copyright (c) 2002-2006 by Judd Vinet <jvinet@zeroflux.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef HBPM_CONFLICT_H
#define HBPM_CONFLICT_H

#include "hbpm.h"
#include "db.h"
#include "package.h"

hbpm_conflict_t *_hbpm_conflict_dup(const hbpm_conflict_t *conflict);
hbpm_list_t *_hbpm_innerconflicts(hbpm_handle_t *handle, hbpm_list_t *packages);
hbpm_list_t *_hbpm_outerconflicts(hbpm_db_t *db, hbpm_list_t *packages);
hbpm_list_t *_hbpm_db_find_fileconflicts(hbpm_handle_t *handle,
		hbpm_list_t *upgrade, hbpm_list_t *remove);

#endif /* HBPM_CONFLICT_H */
