/*
 *  deps.h
 *
 *  Copyright (c) 2006-2019 Pacman Development Team <pacman-dev@archlinux.org>
 *  Copyright (c) 2002-2006 by Judd Vinet <jvinet@zeroflux.org>
 *  Copyright (c) 2005 by Aurelien Foret <orelien@chez.com>
 *  Copyright (c) 2006 by Miklos Vajna <vmiklos@frugalware.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef HBPM_DEPS_H
#define HBPM_DEPS_H

#include "db.h"
#include "sync.h"
#include "package.h"
#include "hbpm.h"

hbpm_depend_t *_hbpm_dep_dup(const hbpm_depend_t *dep);
hbpm_list_t *_hbpm_sortbydeps(hbpm_handle_t *handle,
		hbpm_list_t *targets, hbpm_list_t *ignore, int reverse);
int _hbpm_recursedeps(hbpm_db_t *db, hbpm_list_t **targs, int include_explicit);
int _hbpm_resolvedeps(hbpm_handle_t *handle, hbpm_list_t *localpkgs, hbpm_pkg_t *pkg,
		hbpm_list_t *preferred, hbpm_list_t **packages, hbpm_list_t *remove,
		hbpm_list_t **data);
int _hbpm_depcmp_literal(hbpm_pkg_t *pkg, hbpm_depend_t *dep);
int _hbpm_depcmp_provides(hbpm_depend_t *dep, hbpm_list_t *provisions);
int _hbpm_depcmp(hbpm_pkg_t *pkg, hbpm_depend_t *dep);

#endif /* HBPM_DEPS_H */
