/*
 *  signing.h
 *
 *  Copyright (c) 2008-2019 Pacman Development Team <pacman-dev@archlinux.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef HBPM_SIGNING_H
#define HBPM_SIGNING_H

#include "hbpm.h"

char *_hbpm_sigpath(hbpm_handle_t *handle, const char *path);
int _hbpm_gpgme_checksig(hbpm_handle_t *handle, const char *path,
		const char *base64_sig, hbpm_siglist_t *result);

int _hbpm_check_pgp_helper(hbpm_handle_t *handle, const char *path,
		const char *base64_sig, int optional, int marginal, int unknown,
		hbpm_siglist_t **sigdata);
int _hbpm_process_siglist(hbpm_handle_t *handle, const char *identifier,
		hbpm_siglist_t *siglist, int optional, int marginal, int unknown);

int _hbpm_key_in_keychain(hbpm_handle_t *handle, const char *fpr);
int _hbpm_key_import(hbpm_handle_t *handle, const char *uid, const char *fpr);

#endif /* HBPM_SIGNING_H */
