/*
 *  trans.h
 *
 *  Copyright (c) 2006-2019 Pacman Development Team <pacman-dev@archlinux.org>
 *  Copyright (c) 2002-2006 by Judd Vinet <jvinet@zeroflux.org>
 *  Copyright (c) 2005 by Aurelien Foret <orelien@chez.com>
 *  Copyright (c) 2005 by Christian Hamar <krics@linuxforum.hu>
 *  Copyright (c) 2006 by Miklos Vajna <vmiklos@frugalware.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef HBPM_TRANS_H
#define HBPM_TRANS_H

#include "hbpm.h"

typedef enum _hbpm_transstate_t {
	STATE_IDLE = 0,
	STATE_INITIALIZED,
	STATE_PREPARED,
	STATE_DOWNLOADING,
	STATE_COMMITING,
	STATE_COMMITED,
	STATE_INTERRUPTED
} hbpm_transstate_t;

/* Transaction */
struct __hbpm_trans_t {
	/* bitfield of hbpm_transflag_t flags */
	int flags;
	hbpm_transstate_t state;
	hbpm_list_t *unresolvable;  /* list of (hbpm_pkg_t *) */
	hbpm_list_t *add;           /* list of (hbpm_pkg_t *) */
	hbpm_list_t *remove;        /* list of (hbpm_pkg_t *) */
	hbpm_list_t *skip_remove;   /* list of (char *) */
};

void _hbpm_trans_free(hbpm_trans_t *trans);
/* flags is a bitfield of hbpm_transflag_t flags */
int _hbpm_trans_init(hbpm_trans_t *trans, int flags);
int _hbpm_runscriptlet(hbpm_handle_t *handle, const char *filepath,
		const char *script, const char *ver, const char *oldver, int is_archive);

#endif /* HBPM_TRANS_H */
