/*
 *  hyperman.h
 *
 *  Copyright (c) 2006-2019 Pacman Development Team <pacman-dev@archlinux.org>
 *  Copyright (c) 2002-2006 by Judd Vinet <jvinet@zeroflux.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef PM_HYPERMAN_H
#define PM_HYPERMAN_H

#include <hbpm_list.h>

#define HYPERMAN_CALLER_PREFIX "HYPERMAN"

/* database.c */
int hyperman_database(hbpm_list_t *targets);
/* deptest.c */
int hyperman_deptest(hbpm_list_t *targets);
/* files.c */
int hyperman_files(hbpm_list_t *files);
/* query.c */
int hyperman_query(hbpm_list_t *targets);
/* remove.c */
int hyperman_remove(hbpm_list_t *targets);
/* sync.c */
int hyperman_sync(hbpm_list_t *targets);
int sync_prepare_execute(void);
/* upgrade.c */
int hyperman_upgrade(hbpm_list_t *targets);

#endif /* PM_HYPERMAN_H */
